/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.meta2xml.valueobject;

/**
 * BlancoMeta2XmlProcessのなかで利用されるValueObjectです。
 */
public class BlancoMeta2XmlProcessStructure {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     */
    private String fName;

    /**
     * フィールド [package]
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     */
    private String fPackage;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * このバリューオブジェクトの説明を記載します。
     */
    private String fDescription;

    /**
     * フィールド [fileDescription]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["このクラスはblancoValueObjectにより自動生成されました。"]<br>
     * ファイルコメントを指定します。
     */
    private String fFileDescription = "このクラスはblancoValueObjectにより自動生成されました。";

    /**
     * フィールド [convertDefFile]
     *
     * 項目の型 [java.lang.String]<br>
     * 変換定義ファイルの位置を指定します。
     */
    private String fConvertDefFile;

    /**
     * フィールド [inputFileExt]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [".xls"]<br>
     * 入力ファイル拡張子。メタディレクトリ処理に利用されます。
     */
    private String fInputFileExt = ".xls";

    /**
     * フィールド [outputFileExt]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [".xml"]<br>
     * 出力ファイル拡張子。メタディレクトリ処理に利用されます。
     */
    private String fOutputFileExt = ".xml";

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フィールド名を指定します。必須項目です。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @param argPackage フィールド[package]に格納したい値
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド[package]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * パッケージ名を指定します。必須項目です。
     *
     * @return フィールド[package]に格納されている値
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このバリューオブジェクトの説明を記載します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このバリューオブジェクトの説明を記載します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [fileDescription]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイルコメントを指定します。
     *
     * @param argFileDescription フィールド[fileDescription]に格納したい値
     */
    public void setFileDescription(final String argFileDescription) {
        fFileDescription = argFileDescription;
    }

    /**
     * フィールド[fileDescription]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["このクラスはblancoValueObjectにより自動生成されました。"]<br>
     * ファイルコメントを指定します。
     *
     * @return フィールド[fileDescription]に格納されている値
     */
    public String getFileDescription() {
        return fFileDescription;
    }

    /**
     * フィールド [convertDefFile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換定義ファイルの位置を指定します。
     *
     * @param argConvertDefFile フィールド[convertDefFile]に格納したい値
     */
    public void setConvertDefFile(final String argConvertDefFile) {
        fConvertDefFile = argConvertDefFile;
    }

    /**
     * フィールド[convertDefFile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換定義ファイルの位置を指定します。
     *
     * @return フィールド[convertDefFile]に格納されている値
     */
    public String getConvertDefFile() {
        return fConvertDefFile;
    }

    /**
     * フィールド [inputFileExt]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力ファイル拡張子。メタディレクトリ処理に利用されます。
     *
     * @param argInputFileExt フィールド[inputFileExt]に格納したい値
     */
    public void setInputFileExt(final String argInputFileExt) {
        fInputFileExt = argInputFileExt;
    }

    /**
     * フィールド[inputFileExt]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [".xls"]<br>
     * 入力ファイル拡張子。メタディレクトリ処理に利用されます。
     *
     * @return フィールド[inputFileExt]に格納されている値
     */
    public String getInputFileExt() {
        return fInputFileExt;
    }

    /**
     * フィールド [outputFileExt]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力ファイル拡張子。メタディレクトリ処理に利用されます。
     *
     * @param argOutputFileExt フィールド[outputFileExt]に格納したい値
     */
    public void setOutputFileExt(final String argOutputFileExt) {
        fOutputFileExt = argOutputFileExt;
    }

    /**
     * フィールド[outputFileExt]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [".xml"]<br>
     * 出力ファイル拡張子。メタディレクトリ処理に利用されます。
     *
     * @return フィールド[outputFileExt]に格納されている値
     */
    public String getOutputFileExt() {
        return fOutputFileExt;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.meta2xml.valueobject.BlancoMeta2XmlProcessStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",fileDescription=" + fFileDescription);
        buf.append(",convertDefFile=" + fConvertDefFile);
        buf.append(",inputFileExt=" + fInputFileExt);
        buf.append(",outputFileExt=" + fOutputFileExt);
        buf.append("]");
        return buf.toString();
    }
}
